<?php

/**
 * @file
 */

/**
 * Views field handler for the EZShop 'Remove from cart' link.
 */
class ezshop_handler_field_delete_item extends views_handler_field_node_link {
  function render($values) {
    if (!user_access('access ezshop')) {
      // User is not permitted to access ezshop.
      return;
    }

    $text = !empty($this->options['text']) ? $this->options['text'] : t('Remove from cart');
    return l($text, 'cart/delete/'. $values->{$this->aliases['nid']}, array('query' => drupal_get_destination()));
  }
}
